package com.untzuntz.ustackclientapi.types;

import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.util.Date;

public class DateRange {

	public static final DateFormat df = new SimpleDateFormat("yyyyMMddHHmmss");

	private Date start;
	private Date end;
	private String range;
	
	public DateRange(Date start, Date end) {
		this.start = start;
		this.end = end;
	}
	
	public DateRange(String range) {
		this.range = range;
	}
	
	public static DateRange before(Date d) {
		DateRange r = new DateRange(null, d);
		return r;
	}
	
	public static DateRange after(Date d) {
		DateRange r = new DateRange(d, null);
		return r;
	}
	
	public static DateRange between(Date start, Date end) {
		DateRange r = new DateRange(start, end);
		return r;
	}
	
	public String toString()
	{
		if (range != null)
			return range;
		
		if (start != null && end != null)
			return String.format("%s-%s", df.format(start), df.format(end));
		else if (start != null)
			return String.format(">%s", df.format(start));
		else if (end != null)
			return String.format("<%s", df.format(end));
		
		return null;
	}
	
}
